<?php
	require_once("config/connect.php");
	require_once("config/pageConfig.php");
	require_once("global_functions.php");
	check_login('', '', 'ENABLERKEY_DATENSICHERUNG');
		
?>
<head>
<meta charset="utf-8">
	<title>SITPOS Datensicherung</title>
	<?php echo PAGE_CACHE_OFF; ?>
	<script src="jquery/jquery-2.1.1.min.js"></script>
	<script src="jquery/jquery-ui1.11.4.js"></script>
	<script src="include/global_js_functions.js"></script>
	
	<style type="text/css">
	<?php include 'include/main.css'; ?>
	<?php include 'include/menue.css'; ?>
	</style>
	
</head>

<body>
<script>
	function backup_ausfuehren(){	
			sitpos_welt_anzeigen('Datensicherung wird ausgeführt ...');
			var myWindow = window.open("ajax_funktionen.php?funktion=run_backup_command&MAX_FILE_SIZE=300000", "_blank", "toolbar=no,status=no,menubar=no,scrollbars=no,resizable=no,left=10000, top=10000, width=10, height=10, visible=none"); 
			$(myWindow).unload(function()
			{
			  sitpos_welt_ausblenden();
			});
		//sitpos_welt_ausblenden();
			
	}
		

	
</script>
<div id="sit_world"><img id="sit_world_gif" src="images/sIT_world.gif" /> <div id="sit_world_text"> </div></div>

<?php

	echo '<div id="wrapper_bon" class="wrapper_bon">';

	menue_anzeigen();
	
	// RFR: das wurde jetzt auf javascript geändert, damit ich anzeigen kann, dass etwas gemacht wird. sitpos_welt
	echo '<div id="backupContWrapper" class="backupContent">';
	echo '<h3> Backup ausführen:</h3><hr />';
	//echo '<form class="backupForm" action="ajax_funktionen.php" >';
	//echo '<input type="hidden" name="MAX_FILE_SIZE" value="30000" />';
	//echo '<input type="hidden" name="funktion" value="run_backup_command" />';
	echo '<input type="button" class="button button_gross orange" onclick="backup_ausfuehren()" value="Backup" />';
	//echo '<input type="submit" class="button button_gross orange" onclick="backup_ausfuehren()" value="Backup" />';
	echo '</form>';	
	echo '<br /><br /><br /><br />';

	if($_SESSION["userLevel"] >= ENABLERKEY_ADMIN_DATEN_RESTORE){
		echo '<h3>Restore ausführen:</h3><hr />';
		echo '<form enctype="multipart/form-data" action="ajax_funktionen.php"  method="POST" onsubmit="sitpos_welt_anzeigen(\'Restore gestartet.\')" >';
		echo '<input type="hidden" name="funktion" value="restore_durchfuehren">';
			#echo '<input type="hidden" name="MAX_FILE_SIZE" value="300000000" />';
			#August 2020, Version 3.06 -> max Size Val ..
		echo '<input type="hidden" name="MAX_FILE_SIZE" value="30000000000" />';
		echo 'Dateiname: <input type="file" name="upload_file" id="upload_file"><br />';
		echo '<br />';
		echo '<INPUT type="SUBMIT" class="button button_gross orange" value="Restore">';
		echo '</form>';
	}

	
	echo '</div>
		</div>';
		
	if(isset($_GET['backUp']) && $_GET['backUp'] == 'finished'){
		echo "<script >  sitpos_welt_ausblenden(); </script>";
	}

?>


</body>
</html>